Groovy 1.7.0

## org.codehaus.groovy.antlr
Class EnumHelper

    java.lang.Object
      org.codehaus.groovy.antlr.EnumHelper

    class EnumHelper
    extends Object

Constructor Summary
`EnumHelper()`

Method Summary
`static void` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
`static ClassNode` | `makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### EnumHelper

    EnumHelper()

Method Detail

### addEnumConstant

    public static void addEnumConstant(ClassNode enumClass, String name, Expression init)

### makeEnumNode

    public static ClassNode makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)

Copyright © 2003-2009 The Codehaus. All rights reserved.